.product-grid {
  .product {
    margin-bottom: 10px;

    &:hover {
      .product__action {
        opacity: 1;
      }
    }

    .onsale {
      position: absolute;
      right: -10px;
      top: 20px;
      background-color: #cd40e6;
      color: white;
      text-transform: uppercase;
      line-height: 1;
      padding: 5px 10px;
      border-radius: 3px;
      z-index: 2;
      font-size: 14px;
      font-size: 0.875em;
    }

    .author {
      font-family: "Playfair Display";
      font-style: italic;
      color: #999999;
      font-size: 14px;
      font-size: 0.875em;
    }
  }

  .product__image {
    margin: 0 0 20px;
    box-shadow: 0 5px 20px -3px rgb(0 0 0 / 20%);
    position: relative;
    transition: transform 0.3s ease;

    > a {
      overflow: hidden;
      display: block;
    }

    img {
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
      right: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: 0.3s ease;
    }

    .product__action {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      background-color: rgba(255, 255, 255, 0.9);
      display: -ms-flexbox;
      display: flex;
      -ms-flex-direction: column;
      flex-direction: column;
      -ms-flex-align: center;
      align-items: center;
      -ms-flex-pack: center;
      justify-content: center;
      opacity: 0;
      transition: 0.3s ease;

      .fa-shopping-bag {
        vertical-align: middle;
        margin-right: 5px;
        line-height: 1;
      }

      .fa-plus {
        font-size: 18px;
        position: absolute;
        display: block;
        top: 5px;
        right: -3px;
        line-height: 1;
        transition: color 0.3s ease;
      }

      .fa-circle-notch {
        position: absolute;
        display: block;
        top: 5px;
        right: -3px;
        line-height: 1;
        transition: color 0.3s ease;

        &::before {
          content: "\f1ce";
          display: block;
          position: relative;
          animation: rotating 2s linear infinite;
        }
      }
    }
  }

  .product__title {
    font-size: 18px;
    font-size: 1.125em;
    margin: 0;
    line-height: 1.3;

    a {
      color: inherit;
      text-decoration: none;
    }
  }

  .product__price {
    color: #db1037;
    margin-bottom: 5px;
    font-size: 16px;
    font-size: 1em;
  }

  .product__detail > .yith-wcqv-button {
    display: none;
  }
}

.product-grid .product__action .button,
.product-grid .product__action .comment-respond .form-submit input,
.comment-respond .form-submit .product-grid .product__action input,
.product-grid .product__action .dokan-btn-theme {
  border: none;
  padding: 10px;
  border-radius: 0;
  font-size: 30px;
  line-height: 1;
  color: #db1037;
  position: relative;
}

.product-grid .product__action .button .button-label,
.product-grid
  .product__action
  .comment-respond
  .form-submit
  input
  .button-label,
.comment-respond
  .form-submit
  .product-grid
  .product__action
  input
  .button-label,
.product-grid .product__action .dokan-btn-theme .button-label {
  display: none;
}

.product-grid .product__action .yith-wcqv-button,
.product-grid .product__action .added_to_cart.wc-forward,
.product-grid .product__action .buy-now {
  text-transform: uppercase;
  letter-spacing: 1px;
  padding: 5px 15px;
  font-weight: 700;
  border-radius: 40px;
  line-height: 1;
  font-size: 12px;
  font-size: 0.75em;
  border: 3px solid;
}

@keyframes rotating {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
